Quantcast

Re: Wine-fbsd64 updated to 1.5.6 (32bit Wine for 64bit FreeBSD)

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate
star

Re: Wine-fbsd64 updated to 1.5.6 (32bit Wine for 64bit FreeBSD)

Jan Beich-2
(ports@ folk may know more about pkgng)

David Naylor <[hidden email]> writes:

> Hi,
>
> Packages [1] for wine-fbsd64-1.5.6 have been uploaded to mediafire [2].  The
> packages for FreeBSD 10 use the pkgng* [3] format.
[...]
> * Support for pkgng has been added to the nvidia-patch script

pkgng seems to be more pedantic regarding conflicting files. And I
haven't found a way to force register a package.

  $ sudo /usr/local/share/wine/patch-nvidia.sh
  ===> Patching wine-fbsd64 to work with x11/nvidia-driver:
  => Detected wine-fbsd64: 1.5.6,1
  !!! Unable to detect nvidia-driver, please install first !!!
  Terminating...
  Exit 1

  $ make deinstall install -C x11/nvidia-driver
  [...]
  ===>   Registering installation for nvidia-driver-302.17
  Installing nvidia-driver-302.17...pkg: nvidia-driver-302.17 conflicts with xorg-server-1.12.1,1 (installs files into the same place).  Problematic file: /usr/local/lib/xorg/modules/extensions/libglx.so
  *** [fake-pkg] Error code 3

  $ pkg info nvidia-driver
  pkg: No package(s) matching nvidia-driver
  Exit 70

--- patch-nvidia.sh~
+++ patch-nvidia.sh
@@ -92,12 +92,20 @@ do
 done
 
 version() {
+  local ret pkg="$1"
   if [ -f "/usr/local/sbin/pkg" ]
   then
-    echo `pkg query -g '%v' $1`
+    ret=`pkg query -g '%v' $pkg`
   else
-    echo `pkg_info -E $1'*' | cut -f 3 -d -`
+    ret=`pkg_info -E $pkg'*' | cut -f 3 -d -`
   fi
+  # installed manually or failed to register
+  if [ -z "$ret" ] && [ "$pkg" = "nvidia-driver" ]
+  then
+    ret=`sed 2>/dev/null -n 's/.*Version: //p' \
+      $PREFIX/share/doc/NVIDIA_GLX-1.0/README || true`
+  fi
+  echo "$ret"
 }
 
 [ `whoami` = root ] \
_______________________________________________
[hidden email] mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports
To unsubscribe, send any mail to "[hidden email]"
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate
star

Re: Wine-fbsd64 updated to 1.5.6 (32bit Wine for 64bit FreeBSD)

David Naylor
On Friday, 22 June 2012 12:26:50 Jan Beich wrote:

> (ports@ folk may know more about pkgng)
>
> David Naylor <[hidden email]> writes:
> > Hi,
> >
> > Packages [1] for wine-fbsd64-1.5.6 have been uploaded to mediafire [2].
> > The packages for FreeBSD 10 use the pkgng* [3] format.
>
> [...]
>
> > * Support for pkgng has been added to the nvidia-patch script
>
> pkgng seems to be more pedantic regarding conflicting files. And I
> haven't found a way to force register a package.
I have reported this issue to both pkgng and FreeBSD ports.  I managed to get
it to register by tweaking pkg-plist, also not defining WITH_PKGNG may work
(and with the changes to nvidia.sh it will fall back to `pkg_info` if `pkg
info` doesn\t yield).  

> --- patch-nvidia.sh~
> +++ patch-nvidia.sh
> @@ -92,12 +92,20 @@ do
>  done
>
>  version() {
> +  local ret pkg="$1"
>    if [ -f "/usr/local/sbin/pkg" ]
>    then
> -    echo `pkg query -g '%v' $1`
> +    ret=`pkg query -g '%v' $pkg`
>    else
> -    echo `pkg_info -E $1'*' | cut -f 3 -d -`
> +    ret=`pkg_info -E $pkg'*' | cut -f 3 -d -`
>    fi
> +  # installed manually or failed to register
> +  if [ -z "$ret" ] && [ "$pkg" = "nvidia-driver" ]
> +  then
> +    ret=`sed 2>/dev/null -n 's/.*Version: //p' \
> +      $PREFIX/share/doc/NVIDIA_GLX-1.0/README || true`
> +  fi
> +  echo "$ret"
>  }
>
>  [ `whoami` = root ] \
Thanks for your patch.  I have updates the nvidia.sh script and given you
credit.  This will be available from wine 1.5.7.

Regards

signature.asc (203 bytes) Download Attachment
Loading...